%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}
%global bundle org.springframework.build.aws.maven
Name:          spring-build-aws-maven
Version:       3.1.0
Release:       %mkrel 1
Summary:       Amazon Web Services Maven Wagon Support
Group:         Development/Java
License:       ASL 2.0 
Url:           http://www.springframework.org/ 
# git clone git://git.springsource.org/spring-build/aws-maven.git
# cd aws-maven
# git archive 3.1.0.RELEASE | tar -x -C ../spring-build-aws-maven-3.1.0.RELEASE
# cd ..
# tar czf spring-build-aws-maven-3.1.0.RELEASE-src-git.tar.gz spring-build-aws-maven-3.1.0.RELEASE
Source0:       spring-build-aws-maven-3.1.0.RELEASE-src-git.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: jakarta-commons-httpclient
BuildRequires: jets3t
BuildRequires: maven-wagon

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      jakarta-commons-httpclient
Requires:      jets3t
Requires:      maven-wagon

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Standard Maven wagon support for s3:// urls.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{name}-%{namedversion}

%build

cd %{bundle}
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
rm -rf $MAVEN_REPO_LOCAL
mkdir -p $MAVEN_REPO_LOCAL/org/springframework/build/aws/%{bundle}/%{namedversion}
(
  cd $MAVEN_REPO_LOCAL/org/springframework/build/aws/%{bundle}/%{namedversion}/
  jar -cf %{bundle}-%{namedversion}.jar .
)
cp -pr pom.xml $MAVEN_REPO_LOCAL/org/springframework/build/aws/%{bundle}/%{namedversion}/%{bundle}-%{namedversion}.pom

mvn-rpmbuild \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/spring-build
install -pm 644 %{bundle}/target/%{bundle}.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{bundle}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
%add_to_maven_depmap org.springframework.build.aws %{bundle} %{namedversion} JPP/spring-build %{bundle}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp %{bundle}/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/spring-build/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt notice.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 3.1.0-1.mga2
+ Revision: 173330
- edit depmap
- imported package spring-build-aws-maven

